namespace Infrastructure.Exceptions;

public sealed class FriendlyException(string message, int code = 500) : Exception
{
    public string? Message { get; set; } = message;

    public int Code { get; set; } = code;

    public MessageData ConvertToMessage()
    {
        return new MessageData(false, Message, Code);
    }
}