namespace Infrastructure.Extensions;

public static class EncryptionSetup
{
    public static IServiceCollection AddAesEncryption(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.TryAddSingleton<IEncryptionService, EncryptionService>();
        return services;
    }
}