using Microsoft.IdentityModel.Tokens;

namespace Infrastructure.Security;

public class JwtOptions(
    string issuer,
    string audience,
    long expiration,
    SigningCredentials credentials)
{
    public string Issuer { get; } = issuer;

    public string Audience { get; } = audience;

    public long Expiration { get; } = expiration;

    public SigningCredentials SigningCredentials { get; } = credentials;
}